### Method

# GExiv2 Metadata set_gps_info

unstable since: 0.16.0

#### Declaration [src]

    gboolean
    gexiv2_metadata_set_gps_info (
      GExiv2Metadata* self,
      gdouble longitude,
      gdouble latitude,
      gdouble altitude,
      GError** error
    )

#### Description [src]

Convenience function to create a new set of simple GPS data. Warning: Will remove any other GPS information that is currently set. See `gexiv2_metadata_update_gps_info()` for just modifying the GPS data.

Available since: 0.16.0

#### Parameters

`longitude`

  Type: `gdouble`

  Longitude value to set or replace current value.

`latitude`

  Type: `gdouble`

  Latitude value to set or replace current value.

`altitude`

  Type: `gdouble`

  Altitude value to set or replace current value.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Boolean success value.